Show / Hide Table of Contents

# Class OpenIddictServerEvents.BaseValidatingContext

Represents an abstract base class used for certain event contexts.

##### Inheritance

System.Object
OpenIddictServerEvents.BaseContext
OpenIddictServerEvents.BaseRequestContext
OpenIddictServerEvents.BaseValidatingContext
OpenIddictServerEvents.BaseValidatingClientContext
OpenIddictServerEvents.BaseValidatingTicketContext
OpenIddictServerEvents.ExtractAuthorizationRequestContext
OpenIddictServerEvents.ExtractConfigurationRequestContext
OpenIddictServerEvents.ExtractCryptographyRequestContext
OpenIddictServerEvents.ExtractDeviceRequestContext
OpenIddictServerEvents.ExtractIntrospectionRequestContext
OpenIddictServerEvents.ExtractLogoutRequestContext
OpenIddictServerEvents.ExtractRevocationRequestContext
OpenIddictServerEvents.ExtractTokenRequestContext
OpenIddictServerEvents.ExtractUserinfoRequestContext
OpenIddictServerEvents.ExtractVerificationRequestContext
OpenIddictServerEvents.HandleConfigurationRequestContext
OpenIddictServerEvents.HandleCryptographyRequestContext
OpenIddictServerEvents.HandleIntrospectionRequestContext
OpenIddictServerEvents.HandleLogoutRequestContext
OpenIddictServerEvents.HandleRevocationRequestContext
OpenIddictServerEvents.HandleUserinfoRequestContext
OpenIddictServerEvents.ProcessAuthenticationContext
OpenIddictServerEvents.ProcessChallengeContext
OpenIddictServerEvents.ProcessRequestContext
OpenIddictServerEvents.ProcessSignOutContext
OpenIddictServerEvents.ValidateAuthorizationRequestContext
OpenIddictServerEvents.ValidateConfigurationRequestContext
OpenIddictServerEvents.ValidateCryptographyRequestContext
OpenIddictServerEvents.ValidateLogoutRequestContext
OpenIddictServerEvents.ValidateUserinfoRequestContext

##### Inherited Members

OpenIddictServerEvents.BaseRequestContext.IsRequestHandled
OpenIddictServerEvents.BaseRequestContext.IsRequestSkipped
OpenIddictServerEvents.BaseRequestContext.HandleRequest()
OpenIddictServerEvents.BaseRequestContext.SkipRequest()
OpenIddictServerEvents.BaseContext.Transaction
OpenIddictServerEvents.BaseContext.Issuer
OpenIddictServerEvents.BaseContext.EndpointType
OpenIddictServerEvents.BaseContext.Logger
OpenIddictServerEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public abstract class BaseValidatingContext : OpenIddictServerEvents.BaseRequestContext

### Constructors

#### BaseValidatingContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.BaseValidatingContext class.

##### Declaration

    protected BaseValidatingContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### Error

Gets or sets the "error" parameter returned to the client application.

##### Declaration

    public string Error { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ErrorDescription

Gets or sets the "error_description" parameter returned to the client application.

##### Declaration

    public string ErrorDescription { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ErrorUri

Gets or sets the "error_uri" parameter returned to the client application.

##### Declaration

    public string ErrorUri { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### IsRejected

Gets a boolean indicating whether the request will be rejected.

##### Declaration

    public bool IsRejected { get; protected set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

#### Reject(String, String, String)

Rejects the request.

##### Declaration

    public virtual void Reject(string error = null, string description = null, string uri = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | error | The "error" parameter returned to the client application.
System.String | description | The "error_description" parameter returned to the client application.
System.String | uri | The "error_uri" parameter returned to the client application.